using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class addproperty : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        // connect to sql server
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand(" select  isnull( max(pid),0) + 1 from properties", con);
            int pid = (int)cmd.ExecuteScalar();

            if (FileUpload1.HasFile)
            {
                FileUpload1.SaveAs( Server.MapPath( "~/pics/" + pid.ToString() + ".jpg"));
            }
            cmd.CommandText = "insert into properties values(@pid,@ptype,@location,@cost,@size,@facing,@desc,@uname)";
            cmd.Parameters.Add("@pid", SqlDbType.Int).Value = pid;
            cmd.Parameters.Add("@ptype", SqlDbType.Char, 1).Value = ddlType.SelectedItem.Value;
            cmd.Parameters.Add("@location", SqlDbType.VarChar, 30).Value = txtLocation.Text;
            cmd.Parameters.Add("@cost", SqlDbType.Money).Value = txtCost.Text;
            cmd.Parameters.Add("@size", SqlDbType.Int).Value = txtSize.Text;
            cmd.Parameters.Add("@facing", SqlDbType.VarChar, 30).Value = txtFacing.Text;
            cmd.Parameters.Add("@desc", SqlDbType.VarChar, 200).Value = txtDesc.Text;
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = Session["uname"].ToString();
            cmd.ExecuteNonQuery();
            lblMsg.Text = "Property has been added successfully with property id = " + pid;
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error ->" + ex.Message;
        }
        finally
        {
            con.Close();
        }

    }
}
