using System;
using System.Data;
using System.Data.SqlClient;
using System.Net.Mail;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class all_Register : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnRegister_Click(object sender, EventArgs e)
    {
        // connect to sql server
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("select count(*) from users where uname = @uname", con);
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 50).Value = txtUname.Text;
            int cnt = (int)cmd.ExecuteScalar();
            if (cnt == 1)
            {
                lblMsg.Text = "Sorry! A user with this name already exists!";
                return;
            }


            cmd.CommandText = "select count(*) from users where email  = @email";
            cmd.Parameters.Add("@email", SqlDbType.VarChar, 50).Value = txtEmail.Text;
            cnt = (int)cmd.ExecuteScalar();
            if (cnt == 1)
            {
                lblMsg.Text = "Sorry! A user with this email address already exists!";
                return;
            }

            // get password
            Random r = new Random();
            int pwd = r.Next(1000, 9999);

            // send mail with password
            MailMessage msg = new MailMessage();
            msg.To.Add(new MailAddress(txtEmail.Text));
            msg.Subject = "Welcome";
            msg.IsBodyHtml = true;
            msg.From = new MailAddress("admin@classroom.com");
            msg.Body = "Dear User,<br>Welcome To VizagRealestate.com.<p/>Use the following details to login. <p/> UserName : " +  txtUname.Text  + "<br/>Password : " + pwd.ToString()  + "<p/>Webmaster,<br/>www.vizagrealestate.com";
            SmtpClient server = new SmtpClient("localhost");
            try
            {
                server.Send(msg);
                lblMsg.Text = "Your accounts details are sent to your mailid. Please use those details to log in";
            }
            catch (Exception ex)
            {
                lblMsg.Text = "Sorry! Mail could not be sent!";
                return;
            }
            // insert into table 
            cmd.CommandText = "insert into users values(@uname,@pwd,@email,@phone)";
            cmd.Parameters.Add("@pwd", SqlDbType.VarChar, 10).Value = pwd.ToString();
            cmd.Parameters.Add("@phone", SqlDbType.VarChar, 50).Value = txtPhone.Text;
            cmd.ExecuteNonQuery();

        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error ->" + ex.Message;
        }
        finally
        {
            con.Close();
        }

    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("../login.aspx");
    }
}
