<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="myproperties.aspx.cs" Inherits="myproperties" Title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>
        My Properties</h3>
    <p>
        <asp:DetailsView ID="DetailsView1" runat="server" AllowPaging="True" AutoGenerateRows="False"
            DataKeyNames="pid" DataSourceID="SqlDataSource1" Height="50px" Width="220px" OnItemUpdating="DetailsView1_ItemUpdating">
            <Fields>
                <asp:BoundField DataField="pid" HeaderText="pid" ReadOnly="True" SortExpression="pid" />
                <asp:TemplateField  HeaderText="ptype" SortExpression="ptype">
                    <EditItemTemplate>
                        <asp:DropDownList ID="ptype" runat="server"  SelectedValue=<%# Bind("ptype")%>>
                          <asp:ListItem Text="Site" Value="s"></asp:ListItem>
                          <asp:ListItem Text="House" Value="h"></asp:ListItem>
                        </asp:DropDownList>
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <asp:TextBox ID="txtPtype" runat="server" Text='<%# Bind("ptype") %>'></asp:TextBox>
                    </InsertItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("ptype") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="location" HeaderText="location" SortExpression="location" />
                <asp:BoundField DataField="cost" HeaderText="cost" SortExpression="cost" />
                <asp:BoundField DataField="area" HeaderText="area" SortExpression="area" />
                <asp:BoundField DataField="facing" HeaderText="facing" SortExpression="facing" />
                <asp:TemplateField HeaderText="description" SortExpression="description">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" TextMode="MultiLine" Rows="5"  Columns="40"  Text='<%# Bind("description") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("description") %>'></asp:TextBox>
                    </InsertItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("description") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Property Picture">
                <EditItemTemplate>
                  <asp:FileUpload runat="server" ID="picture"  />
                </EditItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
            </Fields>
        </asp:DetailsView>
        &nbsp;</p>
    <p>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            DeleteCommand="DELETE FROM [properties] WHERE [pid] = @pid" InsertCommand="INSERT INTO [properties] ([pid], [ptype], [location], [cost], [area], [facing], [description], [uname]) VALUES (@pid, @ptype, @location, @cost, @area, @facing, @description, @uname)"
            SelectCommand="SELECT * FROM [properties] WHERE ([uname] = @uname)" UpdateCommand="UPDATE [properties] SET [ptype] = @ptype, [location] = @location, [cost] = @cost, [area] = @area, [facing] = @facing, [description] = @description  WHERE [pid] = @pid">
            <DeleteParameters>
                <asp:Parameter Name="pid" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="ptype" Type="String" />
                <asp:Parameter Name="location" Type="String" />
                <asp:Parameter Name="cost" Type="Decimal" />
                <asp:Parameter Name="area" Type="Int32" />
                <asp:Parameter Name="facing" Type="String" />
                <asp:Parameter Name="description" Type="String" />
                <asp:Parameter Name="uname" Type="String" />
                <asp:Parameter Name="pid" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:SessionParameter Name="uname" SessionField="uname" Type="String" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="pid" Type="Int32" />
                <asp:Parameter Name="ptype" Type="String" />
                <asp:Parameter Name="location" Type="String" />
                <asp:Parameter Name="cost" Type="Decimal" />
                <asp:Parameter Name="area" Type="Int32" />
                <asp:Parameter Name="facing" Type="String" />
                <asp:Parameter Name="description" Type="String" />
                <asp:Parameter Name="uname" Type="String" />
            </InsertParameters>
        </asp:SqlDataSource>
        &nbsp;</p>
    <br />
    <br />
</asp:Content>

